<div class="card jh-card">
<form name="editForm" role="form" novalidate  [formGroup]="editForm">
<br/>
    <h2 id="page-heading">
        <span>Daftar Siswa</span>
        <button id="jh-create-entity" class="btn btn-primary float-right jh-create-entity create-siswa" [routerLink]="['/siswa/new']">
            <fa-icon [icon]="'plus'"></fa-icon>
            <span >
            Tambahkan
            </span>
        </button>
    </h2>
    <jhi-alert-error></jhi-alert-error>
    <jhi-alert></jhi-alert>
    <br/>
    <div class="form-group" *jhiHasAnyAuthority="['ROLE_TU']">
	  <div class="row form-group no-gutters justify-content-start">
	        <div class="col-md-2">
	            <div class="input-group">
			            <select class="form-control" (change)="searchByParam('kelas')" name="pKelas" formControlName="pKelas" id="field_pKelas" required >
					        <option [ngValue]="null">Semua Kelas</option>
					        <option *ngFor="let kls of kelas" value={{kls.id}}>{{kls.nama}}-{{kls.jenjang}}</option>
			    		</select>
	            </div>
	        </div>
		    <div class="col-sm-7 col-md-4">
		  	  <div class="input-group mb-4" *ngIf="searchOption == 1">
	            <div class="input-group-prepend">
	              <select class="input-group-text" id="field_options" name="options" (ngModelChange)="optionSearch()" formControlName="pOptions" >
	                <option value="1">Nis</option>
	                <!-- <option value="2">Nama</option> -->
	              </select>
	            </div>
				<input type="text" placeholder=" Cari nis siswa..." name="pNis" formControlName="pNis"/>
			    <div class="input-group-append">
	               <button class="btn btn-info btn-sm" (click)="searchByParam('nis')"><fa-icon [icon]="'search'"></fa-icon></button>
	               <button class="btn btn-danger btn-sm" (click)="clear()"><fa-icon [icon]="'trash'"></fa-icon></button>
	            </div>
		  	  </div>
		  	  <div class="input-group mb-4" *ngIf="searchOption == 2">
	            <div class="input-group-prepend">
	              <select class="input-group-text" id="field_options" name="options" (ngModelChange)="optionSearch()" formControlName="pOptions">
	                <option value="1">Nis</option>
	                <option value="2">Nama</option>
	              </select>
	            </div>
				<input type="text" placeholder=" Cari nama siswa"  name="pSiswa" formControlName="pSiswa"/>
			    <div class="input-group-append">
	               <button class="btn btn-info btn-sm" (click)="searchByParam('siswa')"><fa-icon [icon]="'search'"></fa-icon></button>
	               <button class="btn btn-danger btn-sm" (click)="clear()"><fa-icon [icon]="'trash'"></fa-icon></button>
	            </div>
		  	  </div>
		  	</div>
    	</div>
    </div>
    <div class="alert alert-warning" *ngIf="siswas?.length === 0">
        <span>No siswas found</span>
    </div>
    <div class="table-responsive" *ngIf="siswas?.length > 0">
        <table class="table table-striped" aria-describedby="page-heading">
            <thead>
            <tr jhiSort [(predicate)]="predicate" [(ascending)]="ascending" [callback]="loadPage.bind(this)">
            <!-- <th scope="col"  jhiSortBy="id"><span>ID</span></th> -->
            <th scope="col"  jhiSortBy="nis"><span>Nis</span></th>
            <th scope="col"  jhiSortBy="nama"><span>Nama</span></th>
            <th scope="col"  jhiSortBy="alamat"><span>Alamat</span></th>
            <th scope="col"  jhiSortBy="jenisKelamin" class="text-nowrap"><span>Jns. Kelamin</span></th>
            <th scope="col"  jhiSortBy="tempatLahir"><span>Tmpt. Lahir</span></th>
            <th scope="col"  jhiSortBy="tanggalLahir"><span>Tgl. Lahir</span></th>
            <th scope="col"  jhiSortBy="waliMurid"><span>Wali Murid</span></th>
            <th scope="col"  jhiSortBy="noTelephone"><span>No.Telp</span></th>
            <th scope="col"  jhiSortBy="tahunAjaran"><span>Thn. Ajaran</span></th>
            <th scope="col"><span>BeaSiswa</span></th>
            <th scope="col"><span>Loundry</span></th>
            <th scope="col"  jhiSortBy="kelas.id"><span>Kelas</span></th>
            <th scope="col"></th>
            </tr>
            </thead>
            <tbody>
            <tr *ngFor="let siswa of siswas ;trackBy: trackId">
                <!-- <td><a [routerLink]="['/siswa', siswa.id, 'view' ]">{{siswa.id}}</a></td> -->
                <td>{{siswa.nis}}</td>
                <td>{{siswa.nama}}</td>
                <td>{{siswa.alamat}}</td>
                <td>{{siswa.jenisKelamin}}</td>
                <td>{{siswa.tempatLahir}}</td>
                <td>{{siswa.tanggalLahir | date:'dd-mm-yyyy'}}</td>
                <td>{{siswa.waliMurid}}</td>
                <td>{{siswa.noTelephone}}</td>
                <td>{{siswa.tahunAjaran}}</td>
                <td>
	                <span *ngIf="siswa.beasiswa === true">Ya</span>
	                <span *ngIf="siswa.beasiswa === false">Tidak</span>
                </td>
                <td>
	                <span *ngIf="siswa.loundry === true">Ya</span>
	                <span *ngIf="siswa.loundry === false">Tidak</span>
	            </td>
                <td>
                    <div *ngIf="siswa.kelas">
                        <a [routerLink]="['/kelas', siswa.kelas?.id, 'view' ]" >{{siswa.kelas?.nama}}-{{siswa.kelas?.jenjang}}</a>
                    </div>
                </td>
                <!-- <td>
                  <label class="switch">
					 <input  type="checkbox" id="siswa.beasiswa" [checked]="siswa.beasiswa" (change)="beasiswa(siswa.id,$event.target.checked)">
					  <input type="checkbox" id="siswa.beasiswa" [checked]="siswa.beasiswa" (change)="beasiswa(siswa.id,$event.target.checked)">
					   <span class="slider round"></span>
				  </label>
                </td>
                <td>
                  <label class="switch">
					 <input  type="checkbox" id="siswa.loundry" [checked]="siswa.loundry" (change)="loundry(siswa.id,$event.target.checked)">
					  <input type="checkbox" id="siswa.loundry" [checked]="siswa.loundry" (change)="loundry(siswa.id,$event.target.checked)">
					   <span class="slider round"></span>
				  </label>
                </td> -->
                <td class="text-right">
                    <div class="btn-group">
                        <button type="submit"
                                [routerLink]="['/siswa', siswa.id, 'view' ]"
                                class="btn btn-info btn-sm">
                            <fa-icon [icon]="'eye'"></fa-icon>
                            <span class="d-none d-md-inline">View</span>
                        </button>
                        <button type="submit"
                                [routerLink]="['/siswa', siswa.id, 'edit']"
                                class="btn btn-primary btn-sm">
                            <fa-icon [icon]="'pencil-alt'"></fa-icon>
                            <span class="d-none d-md-inline">Edit</span>
                        </button>
                        <button type="submit" (click)="delete(siswa)"
                                class="btn btn-danger btn-sm">
                            <fa-icon [icon]="'times'"></fa-icon>
                            <span class="d-none d-md-inline">Delete</span>
                        </button>
                    </div>
                </td>
            </tr>
            </tbody>
        </table>
    </div>
    <div *ngIf="siswas?.length > 0">
        <div class="row justify-content-center">
            <jhi-item-count [page]="page" [total]="totalItems" [itemsPerPage]="itemsPerPage"></jhi-item-count>
        </div>
        <div class="row justify-content-center">
            <ngb-pagination [collectionSize]="totalItems" [(page)]="ngbPaginationPage" [pageSize]="itemsPerPage" [maxSize]="5" [rotate]="true" [boundaryLinks]="true" (pageChange)="loadPage($event)"></ngb-pagination>
        </div>
    </div>
    </form>
</div>
